summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorge Engelbrecht <engeg@google.com>2020-10-31 16:07:15 -0600
committerGeorge Engelbrecht <engeg@google.com>2020-10-31 22:11:34 +0000
commit45d821b531a9469d4e884c82c1e091631f7e069c (patch)
tree2f07f3017139209a01856b83897373f6dcad0212
parentd621e58a53c72b64aea88df19fd29560d635e956 (diff)
downloadvboot-45d821b531a9469d4e884c82c1e091631f7e069c.tar.gz
common.sh: don't let eval terminate cleanup
Eval will terminate the shell on non-zero error code. "POSIX says that an error in a special built-in utility (such as eval) should cause the non-interactive shell to terminate" This is the case and is causing cleanup to terminate android signing with a non-zero error when it is clear the intent (given the set +e) is that we should be best effort here. BUG=chromium:1141907 TEST=unittest and manually on a signer Change-Id: Ie6374b292c7982371d549b919b44328ea71a09dd Reviewed-on: https://chromium-review.googlesource.com/c/chromiumos/platform/vboot_reference/+/2513228 Reviewed-by: George Engelbrecht <engeg@google.com> Tested-by: George Engelbrecht <engeg@google.com>
-rw-r--r--scripts/image_signing/common.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/image_signing/common.sh b/scripts/image_signing/common.sh
index 8f5aac04..41abaaac 100644
--- a/scripts/image_signing/common.sh
+++ b/scripts/image_signing/common.sh
@@ -21,7 +21,7 @@ add_cleanup_action() {
perform_latest_cleanup_action() {
local num_actions=${#cleanup_actions[*]}
if [ ${num_actions} -gt 0 ]; then
- eval "${cleanup_actions[$num_actions-1]}" > /dev/null 2>&1
+ eval "${cleanup_actions[$num_actions-1]} || true" > /dev/null 2>&1
unset cleanup_actions[$num_actions-1]
fi
}